Package org.apache.sling.scripting.sightly.impl.filter

## Class XSSFilter

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.filter.AbstractFilter
  - - org.apache.sling.scripting.sightly.impl.filter.XSSFilter

All Implemented Interfaces:
  `Comparable<Filter>`, `Filter`

    public class XSSFilter
    extends AbstractFilter

XSS filter implementation.

### Field Summary

### Fields inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`NON_PARAMETRIZABLE_CONTEXTS, priority`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected Expression` `apply​(Expression expression, Map<String,​ExpressionNode> options)`
`static XSSFilter` `getInstance()`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`apply, compareTo, equals, getApplicableContexts, getOptions, getRequiredOptions, hashCode, priority`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static XSSFilter getInstance()

#### apply

    protected Expression apply​(Expression expression,
                               Map<String,​ExpressionNode> options)

Specified by:
  `apply` in class `AbstractFilter`